# Class ReporterErrorHandler

java.lang.Object
uk.ac.starlink.ttools.taplint.ReporterErrorHandler

All Implemented Interfaces:
  `ErrorHandler`

public class ReporterErrorHandler extends Object implements ErrorHandler
SAX ErrorHandler implementation based on a Reporter.

Since:
  3 Jun 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ReporterErrorHandler(Reporter reporter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`error(SAXParseException err)`
`void`
`fatalError(SAXParseException err)`
`int`
`getFatalCount()`
Returns the number of fatal SAX errors encountered.
`String`
`getSummary()`
Returns a short summary of the errors encountered during the parse.
`void`
`warning(SAXParseException err)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReporterErrorHandler

public ReporterErrorHandler(Reporter reporter)
Constructor.

Parameters:
  `reporter` - reporter object which handles delivering messages

## Method Details

### getFatalCount

public int getFatalCount()
Returns the number of fatal SAX errors encountered.

Returns:
  fatal error count

### getSummary

public String getSummary()
Returns a short summary of the errors encountered during the parse.

Returns:
  summary

### warning

public void warning(SAXParseException err)

Specified by:
  `warning` in interface `ErrorHandler`

### error

public void error(SAXParseException err)

Specified by:
  `error` in interface `ErrorHandler`

### fatalError

public void fatalError(SAXParseException err)

Specified by:
  `fatalError` in interface `ErrorHandler`